# "fix" underlinking:
%define _disable_ld_no_undefined 1

Summary:	Utilities for working with md5sum implanted in ISO images
Name:		isomd5sum
Version:	1.2.4
Release:	%mkrel 1
License:	GPLv2+
Group:		Archiving/Cd burning
Url:		https://github.com/rhinstaller/isomd5sum
Source0:	https://github.com/rhinstaller/%{name}/archive/%{version}.tar.gz
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(python3)

%description
The isomd5sum package contains utilities for implanting and verifying
an md5sum implanted into an ISO9660 image.

%package devel
Summary: Development headers and library for using isomd5sum 
Group: Development/C
Requires: %{name} = %{version}

%description devel
This contains header files and a library for working with the isomd5sum
implanting and checking.

%package -n python3-isomd5sum
Summary: Python 3 bindings for isomd5sum
Group: Development/Python
%{?python_provide:%python_provide python3-isomd5sum}

%description -n python3-isomd5sum
The isomd5sum package contains utilities for implanting and verifying
an md5sum implanted into an ISO9660 image.

%prep
%autosetup

%build
CFLAGS="$RPM_OPT_FLAGS -Wno-strict-aliasing"; export CFLAGS
LDFLAGS="$RPM_LD_FLAGS"; export LDFLAGS
PYTHON=%{__python3} make checkisomd5 implantisomd5 pyisomd5sum.so

%install
PYTHON=%{__python3} make DESTDIR=$RPM_BUILD_ROOT install-bin install-devel install-python

%files
%license COPYING
%{_bindir}/implantisomd5
%{_bindir}/checkisomd5
%{_mandir}/man*/*

%files devel
%{_includedir}/*.h
%{_libdir}/*.a
%{_datadir}/pkgconfig/isomd5sum.pc

%files -n python3-isomd5sum
%{python3_sitearch}/pyisomd5sum.so


%changelog
* Sat Feb 24 2024 daviddavid <daviddavid> 1.2.4-1.mga10
+ Revision: 2043975
- new version: 1.2.4
- rebuild for py3.12

* Sat Mar 19 2022 umeabot <umeabot> 1.2.3-5.mga9
+ Revision: 1799353
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 1.2.3-4.mga9
+ Revision: 1787340
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 1.2.3-3.mga9
+ Revision: 1717600
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.2.3-2.mga8
+ Revision: 1532195
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 1.2.3-1.mga8
+ Revision: 1442050
- "fix" underlinking
- drop python2 subpkg
- new release

* Wed Jan 09 2019 daviddavid <daviddavid> 1.2.1-3.mga7
+ Revision: 1353075
- rebuild for new Python 3.7
- rename python-isomd5sum to python2-isomd5sum

* Sun Sep 23 2018 umeabot <umeabot> 1.2.1-2.mga7
+ Revision: 1298334
- Mageia 7 Mass Rebuild

* Tue Sep 12 2017 tv <tv> 1.2.1-1.mga7
+ Revision: 1153292
- new release

* Sat Aug 05 2017 pterjan <pterjan> 1.1.0-2.mga7
+ Revision: 1135230
- Rebuild for python 3.6

* Sat Feb 20 2016 tv <tv> 1.1.0-1.mga6
+ Revision: 972350
- use %%license
- new release
- fix URLs
- add python3 support

* Tue Feb 02 2016 umeabot <umeabot> 1.0.12-5.mga6
+ Revision: 932585
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.12-4.mga5
+ Revision: 744915
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.12-3.mga5
+ Revision: 726525
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.12-2.mga5
+ Revision: 680576
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 tv <tv> 1.0.12-1.mga5
+ Revision: 664116
- new release

* Sat Oct 19 2013 umeabot <umeabot> 1.0.10-2.mga4
+ Revision: 531284
- Mageia 4 Mass Rebuild

* Sat Aug 03 2013 fwang <fwang> 1.0.10-1.mga4
+ Revision: 462802
- new version 1.0.10
+ dams <dams>
- clean specfile

* Sat Jan 12 2013 umeabot <umeabot> 1.0.9-3.mga3
+ Revision: 354577
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 tv <tv> 1.0.9-2.mga3
+ Revision: 323368
- enable python binding
- use our CFLAGS

* Fri Nov 30 2012 tv <tv> 1.0.9-1.mga3
+ Revision: 323303
- new release (drop mdv patches)
- new release
- new release
- new release
- kill %%clean

* Thu Sep 08 2011 tv <tv> 1.0.7-1.mga2
+ Revision: 141479
- new release
- include patches from mdv:
- patch 0: compile with make
- patch 1: declare variable as unused
- patch 2: disable -Werror
- imported package isomd5sum


* Fri Feb 19 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.0.5-2mdv2010.1
+ Revision: 508385
- fix rpmlint warning on spec (mixed of spaces and tabs)

* Sun Dec 20 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.5-1mdv2010.1
+ Revision: 480256
- import isomd5sum


* Sun Dec 20 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.5-1mdv2010.1
- initial release
